summaryrefslogtreecommitdiff
path: root/.tools/newlines.sh
diff options
context:
space:
mode:
Diffstat (limited to '.tools/newlines.sh')
-rwxr-xr-x.tools/newlines.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/.tools/newlines.sh b/.tools/newlines.sh
new file mode 100755
index 00000000..64cbf7e1
--- /dev/null
+++ b/.tools/newlines.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+aptget_update
+aptget_install dos2unix git-core
+
+export LOG1="newlines.log"
+
+rm ${LOG1}
+
+find -H . -type f -name "*.xml" -exec dos2unix {} \; >${LOG1}
+
+export RES=$(git diff --name-only)
+if [[ -n "${RES}" ]]; then
+ echo "Wrong new lines detected in xml files:"
+ git diff --name-only
+ exit 1
+fi
+
+find -H . -type f -name "*.tmx" -exec dos2unix {} \; >>${LOG1}
+
+export RES=$(git diff --name-only)
+if [[ -n "${RES}" ]]; then
+ echo "Wrong new lines detected in tmx files:"
+ git diff --name-only
+ exit 1
+fi